using System.ComponentModel;

namespace QYZH.InteractiveMagazine.Models.Enum;

/// <summary>
/// 补偿任务类型枚举
/// </summary>
public enum CompensationTaskTypeEnum
{
    /// <summary>
    /// 宠物喂养补偿
    /// </summary>
    [Description("宠物喂养补偿")]
    PetFeeding = 1,
    /// <summary>
    /// 用户积分补偿
    /// </summary>
    [Description("用户积分补偿")]
    UserPoints = 2,
    /// <summary>
    /// 用户成长值补偿
    /// </summary>
    [Description("用户成长值补偿")]
    UserGrowth = 3,
    /// <summary>
    /// 发送通知补偿
    /// </summary>
    [Description("发送通知补偿")]
    SendNotification = 4
}
